Post v1platformsupport access requests
POST
/
v1
/
platform
/
support-access-requests
cURL
curl --request POST \
--url https://api.sndbox.app/v1/platform/support-access-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"scopes": [
"diagnostics.read"
],
"durationMinutes": 247
}
'import requests
url = "https://api.sndbox.app/v1/platform/support-access-requests"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"scopes": ["diagnostics.read"],
"durationMinutes": 247
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reason: '<string>',
scopes: ['diagnostics.read'],
durationMinutes: 247
})
};
fetch('https://api.sndbox.app/v1/platform/support-access-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"scopes": [
"diagnostics.read"
],
"requestedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"status": "pending",
"decidedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decidedAt": "2023-11-07T05:31:56Z",
"rationale": "<string>",
"revokedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revokedAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"correlationId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Caller-supplied correlation ID; the server generates one when omitted.
Required string length:
8 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]+$Enables exact replay for mutating requests for 24 hours.
Required string length:
16 - 200Pattern:
^[A-Za-z0-9._:-]+$Body
application/json
Response
Successful response.
Show child attributes
Show child attributes
⌘I
cURL
